NX Open C++ Reference Guide
|
Represents a collection of SBendCorner objects. More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Public Member Functions | |
iterator | begin () |
Returns an iterator addressing the first element. | |
bool | ComputeSBend (const NXOpen::Point3d &startPnt, const NXOpen::Point3d &endPnt, const NXOpen::Vector3d &lineVec1, const NXOpen::Vector3d &lineVec2, double radius, int sbendType, NXOpen::Spline **bendCurve) |
Compute a S-Bend curve given input. | |
bool | ComputeSBendData (const NXOpen::Point3d &startPnt, const NXOpen::Point3d &endPnt, const NXOpen::Vector3d &lineVec1, const NXOpen::Vector3d &lineVec2, double radius, int sbendType, NXOpen::Point3d *extensionPt1, NXOpen::Point3d *extensionPt2, NXOpen::Point3d *arc1StartPt, NXOpen::Point3d *arc1EndPt, NXOpen::Point3d *arc2StartPt, NXOpen::Point3d *arc2EndPt) |
Compute a S-Bend parameters given input. | |
NXOpen::Routing::SBendCorner * | CreateCornerByBendRadius (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, double bendRadius, int sbendType) |
Creates a S-Bend corner between the start rcp and end rcp using a bend radius. | |
NXOpen::Routing::SBendCorner * | CreateCornerByBendRatio (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, double bendRatio, int sbendType) |
Creates a S-Bend corner between the start rcp and end rcp using a bend ratio. | |
NXOpen::Routing::SBendCorner * | CreateCornerBySegBendRadius (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, NXOpen::Routing::SplineSegment *segment, int sbendType, double bendRadius) |
Creates a S-Bend corner between the start rcp and end rcp using a SplineSegment and a bend radius. | |
NXOpen::Routing::SBendCorner * | CreateCornerBySegBendRatio (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, NXOpen::Routing::SplineSegment *segment, int sbendType, double bendRatio) |
Creates a S-Bend corner between the start rcp and end rcp using a SplineSegment and a bend ratio. | |
void | EditCornerByBendRadius (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, double bendRadius, int sbendType, NXOpen::Routing::SBendCorner *sbend) |
Edits a selected S-Bend corner between the start rcp and end rcp using a bend radius. | |
void | EditCornerByBendRatio (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp, double bendRatio, int sbendType, NXOpen::Routing::SBendCorner *sbend) |
Edits a S-Bend corner between the start rcp and end rcp using a bend ratio. | |
iterator | end () |
Returns an iterator addressing one past the last element. | |
double | GetRcpSBendRadius (NXOpen::Routing::ControlPoint *rcp) |
Gets the S-Bend radius of a rcp associated S-Bend corner. | |
std::vector < NXOpen::Routing::SBendCorner * > | GetSBendAssociatedToRcp (NXOpen::Routing::ControlPoint *rcp) |
Given a control point, get S-Bend corners pointing to it. | |
NXOpen::Routing::SBendCorner * | GetSBendAssociatedToSegment (NXOpen::Routing::SplineSegment *segment) |
Enquire the S-Bend Corner that this segment represents. | |
double | GetSegmentSBendRadius (NXOpen::Routing::SplineSegment *segment) |
Gets the bend radius of a segment associated S-Bend corner. | |
bool | IsRcpAssociatedToSBend (NXOpen::Routing::ControlPoint *rcp) |
Determines if the rcp is associated to an S-Bend corner. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a collection of SBendCorner objects.
To obtain an instance of this class, refer to Routing::RouteManager
Created in NX4.0.0.
iterator NXOpen::Routing::SBendCornerCollection::begin | ( | ) |
Returns an iterator addressing the first element.
bool NXOpen::Routing::SBendCornerCollection::ComputeSBend | ( | const NXOpen::Point3d & | startPnt, |
const NXOpen::Point3d & | endPnt, | ||
const NXOpen::Vector3d & | lineVec1, | ||
const NXOpen::Vector3d & | lineVec2, | ||
double | radius, | ||
int | sbendType, | ||
NXOpen::Spline ** | bendCurve | ||
) |
Compute a S-Bend curve given input.
startPnt | Start point of a S-Bend. |
endPnt | end point of a S-Bend. |
lineVec1 | First S-Bend defining vector. |
lineVec2 | Second S-Bend defining vector. |
radius | Radius to use for a S-Bend |
sbendType | Valid values: ROUTE_SBEND_TYPE_[1-5]. |
bendCurve | S-Bend spline when a valid solution exists; NULL otherwise. |
bool NXOpen::Routing::SBendCornerCollection::ComputeSBendData | ( | const NXOpen::Point3d & | startPnt, |
const NXOpen::Point3d & | endPnt, | ||
const NXOpen::Vector3d & | lineVec1, | ||
const NXOpen::Vector3d & | lineVec2, | ||
double | radius, | ||
int | sbendType, | ||
NXOpen::Point3d * | extensionPt1, | ||
NXOpen::Point3d * | extensionPt2, | ||
NXOpen::Point3d * | arc1StartPt, | ||
NXOpen::Point3d * | arc1EndPt, | ||
NXOpen::Point3d * | arc2StartPt, | ||
NXOpen::Point3d * | arc2EndPt | ||
) |
Compute a S-Bend parameters given input.
startPnt | Start point of a S-Bend. |
endPnt | end point of a S-Bend. |
lineVec1 | First S-Bend defining vector. |
lineVec2 | Second S-Bend defining vector. |
radius | Radius to use for a S-Bend |
sbendType | Valid values: ROUTE_SBEND_TYPE_[1-5]. |
extensionPt1 | Location of 1st extension point where bend fillets could be assigned. Value is not valid when no S-Bend is possible. |
extensionPt2 | Location of 2nd extension point where bend fillets could be assigned. |
arc1StartPt | Point where the first bend arc starts. Only computed if not NULL. |
arc1EndPt | Point where the first bend arc ends. Only computed if not NULL. |
arc2StartPt | Point where the second bend arc starts. Only computed if not NULL. |
arc2EndPt | Point where the second bend arc ends. Only computed if not NULL. |
NXOpen::Routing::SBendCorner* NXOpen::Routing::SBendCornerCollection::CreateCornerByBendRadius | ( | NXOpen::Routing::ControlPoint * | startRcp, |
NXOpen::Routing::ControlPoint * | endRcp, | ||
double | bendRadius, | ||
int | sbendType | ||
) |
Creates a S-Bend corner between the start rcp and end rcp using a bend radius.
startRcp | Start rcp must not be NULL. |
endRcp | End rcp must not be NULL. |
bendRadius | Bend radius. |
sbendType | Valid values: ROUTE_SBEND_TYPE_[1-5]. |
NXOpen::Routing::SBendCorner* NXOpen::Routing::SBendCornerCollection::CreateCornerByBendRatio | ( | NXOpen::Routing::ControlPoint * | startRcp, |
NXOpen::Routing::ControlPoint * | endRcp, | ||
double | bendRatio, | ||
int | sbendType | ||
) |
Creates a S-Bend corner between the start rcp and end rcp using a bend ratio.
startRcp | Start rcp must not be NULL. |
endRcp | End rcp must not be NULL. |
bendRatio | Bend ratio. |
sbendType | Valid values: ROUTE_SBEND_TYPE__[1-5]. |
NXOpen::Routing::SBendCorner* NXOpen::Routing::SBendCornerCollection::CreateCornerBySegBendRadius | ( | NXOpen::Routing::ControlPoint * | startRcp, |
NXOpen::Routing::ControlPoint * | endRcp, | ||
NXOpen::Routing::SplineSegment * | segment, | ||
int | sbendType, | ||
double | bendRadius | ||
) |
Creates a S-Bend corner between the start rcp and end rcp using a SplineSegment and a bend radius.
startRcp | Start rcp must not be NULL. |
endRcp | End rcp must not be NULL. |
segment | Segment representing the path of the S-Bend. |
sbendType | Valid values: ROUTE_SBEND_TYPE__[1-5]. |
bendRadius | S-Bend radius. |
NXOpen::Routing::SBendCorner* NXOpen::Routing::SBendCornerCollection::CreateCornerBySegBendRatio | ( | NXOpen::Routing::ControlPoint * | startRcp, |
NXOpen::Routing::ControlPoint * | endRcp, | ||
NXOpen::Routing::SplineSegment * | segment, | ||
int | sbendType, | ||
double | bendRatio | ||
) |
Creates a S-Bend corner between the start rcp and end rcp using a SplineSegment and a bend ratio.
startRcp | Start rcp must not be NULL. |
endRcp | End rcp must not be NULL. |
segment | Segment representing the path of the S-Bend. |
sbendType | Valid values: ROUTE_SBEND_TYPE__[1-5]. |
bendRatio | S-Bend ratio. |
void NXOpen::Routing::SBendCornerCollection::EditCornerByBendRadius | ( | NXOpen::Routing::ControlPoint * | startRcp, |
NXOpen::Routing::ControlPoint * | endRcp, | ||
double | bendRadius, | ||
int | sbendType, | ||
NXOpen::Routing::SBendCorner * | sbend | ||
) |
Edits a selected S-Bend corner between the start rcp and end rcp using a bend radius.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
startRcp | Start rcp must not be NULL. |
endRcp | End rcp must not be NULL. |
bendRadius | Bend radius. |
sbendType | Valid values: ROUTE_SBEND_TYPE_[1-5]. |
sbend | S-Bend Corner to be edited. |
void NXOpen::Routing::SBendCornerCollection::EditCornerByBendRatio | ( | NXOpen::Routing::ControlPoint * | startRcp, |
NXOpen::Routing::ControlPoint * | endRcp, | ||
double | bendRatio, | ||
int | sbendType, | ||
NXOpen::Routing::SBendCorner * | sbend | ||
) |
Edits a S-Bend corner between the start rcp and end rcp using a bend ratio.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
startRcp | Start rcp must not be NULL. |
endRcp | End rcp must not be NULL. |
bendRatio | Bend ratio. |
sbendType | Valid values: ROUTE_SBEND_TYPE__[1-5]. |
sbend | S-Bend Corner to be edited. |
iterator NXOpen::Routing::SBendCornerCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
double NXOpen::Routing::SBendCornerCollection::GetRcpSBendRadius | ( | NXOpen::Routing::ControlPoint * | rcp | ) |
Gets the S-Bend radius of a rcp associated S-Bend corner.
rcp | The control point. |
std::vector<NXOpen::Routing::SBendCorner *> NXOpen::Routing::SBendCornerCollection::GetSBendAssociatedToRcp | ( | NXOpen::Routing::ControlPoint * | rcp | ) |
Given a control point, get S-Bend corners pointing to it.
rcp | Input control point |
NXOpen::Routing::SBendCorner* NXOpen::Routing::SBendCornerCollection::GetSBendAssociatedToSegment | ( | NXOpen::Routing::SplineSegment * | segment | ) |
Enquire the S-Bend Corner that this segment represents.
(NULL can be returned, indicating that this segment does not represent a S-Bend Corner.) @return S-Bend Corner that segment represents (NULL can be returned,indicating that segment does not represent a S-Bend Corner).
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
segment | Segment being queried for the S-Bend Corner it represents. |
double NXOpen::Routing::SBendCornerCollection::GetSegmentSBendRadius | ( | NXOpen::Routing::SplineSegment * | segment | ) |
Gets the bend radius of a segment associated S-Bend corner.
segment | The segment associated with the S-Bend corner |
bool NXOpen::Routing::SBendCornerCollection::IsRcpAssociatedToSBend | ( | NXOpen::Routing::ControlPoint * | rcp | ) |
Determines if the rcp is associated to an S-Bend corner.
rcp | Control point to be interrogated. |
tag_t NXOpen::Routing::SBendCornerCollection::Tag | ( | ) | const |
Returns the tag of this object.